Audacity non si avvia

Se avete problemi con l'installazione e la configurazione di Slackware64 postate qui. Non usate questo forum per argomenti che trattano la Slackware32 o generali... per quelli usate rispettivamente il forum Slackware e Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware64 usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware64, se l'argomento è Slackware32 o generale usate rispettivamente il forum Slackware o Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
ermastr
Linux 1.x
Linux 1.x
Messaggi: 101
Iscritto il: ven set 08, 2006 11:32

Audacity non si avvia

Messaggioda ermastr » mer mar 28, 2018 11:15

Dopo essere passato dalla Slackware 12.2 a 32 bit alla 12.2 64 bit (ho cambiato processore: Intel Core Duo E 8400 3000 GHz-64) Audacity non parte più e da shell:

~ $ audacity
Fatal Error: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1011,wx containers,compatible with 2.8),
and your program used 3.0 (wchar_t,compiler with C++ ABI 1009,wx containers,compatible with 2.8).
Annullato
erman@localhost ~ $


Siccome il programma di musica mi è indispensabile vorrei sapere se qualcuno mi può aiutare:
Grazie

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2481
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.19.0-rc8
Desktop: lxde
Località: Pisa
Contatta:

Re: Audacity non si avvia

Messaggioda ponce » mer mar 28, 2018 11:40

lo avevi installato da SlackBuilds.org?
sembra che tu abbia aggiornato wxGTK3 ma che dopo tu non abbia ricompilato audacity.

ermastr
Linux 1.x
Linux 1.x
Messaggi: 101
Iscritto il: ven set 08, 2006 11:32

Re: Audacity non si avvia

Messaggioda ermastr » mer mar 28, 2018 12:05

No: l'ho installato dai tuoi pacchetti (anche wxGTK3)

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2481
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.19.0-rc8
Desktop: lxde
Località: Pisa
Contatta:

Re: Audacity non si avvia

Messaggioda ponce » mer mar 28, 2018 12:36

prova a reinstallarlo e a reinstallare tutte le dipendenze dalle ultime versioni dei pacchetti (anche se i pacchetti hanno lo stesso nome reinstallali).
tieni di conto comunque che non supporto installazioni parziali dei miei pacchetti, devi reinstallare tutto il blocco ogni volta che li aggiorno: se non vuoi fare cosi', in alternativa, ti conviene farteli da solo dagli script di SlackBuilds.org.

Avatar utente
lablinux
Linux 4.x
Linux 4.x
Messaggi: 1085
Iscritto il: gio nov 27, 2008 12:23
Desktop: Gnome
Distribuzione: Debian testing
Località: Rho

Re: Audacity non si avvia

Messaggioda lablinux » gio mar 29, 2018 9:15

[ot]quanto ci impieghi a ricompilare tutto?[/ot]

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2481
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.19.0-rc8
Desktop: lxde
Località: Pisa
Contatta:

Re: Audacity non si avvia

Messaggioda ponce » gio mar 29, 2018 9:42

lablinux ha scritto:[ot]quanto ci impieghi a ricompilare tutto?[/ot]

se tutto va bene piu' o meno una giornata.

ermastr
Linux 1.x
Linux 1.x
Messaggi: 101
Iscritto il: ven set 08, 2006 11:32

Re: Audacity non si avvia

Messaggioda ermastr » mer ott 17, 2018 12:08

Non riuscendo a compilare i pacchetti per audacity 64 bit ho rimesso il processore a 32 bit e aggiornato alla current, ma audacity non si avvia e a questo punto, non essendo un esperto non so come fare non trovando istruzioni sul web (come mai in Ubuntu è già presente e su slack no?). Ora sto usando la slack 12 dove il programma funziona.
Grazie: ermanno

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2481
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.19.0-rc8
Desktop: lxde
Località: Pisa
Contatta:

Re: Audacity non si avvia

Messaggioda ponce » gio ott 18, 2018 9:52

ermastr ha scritto:Non riuscendo a compilare i pacchetti per audacity 64 bit ho rimesso il processore a 32 bit e aggiornato alla current, ma audacity non si avvia e a questo punto, non essendo un esperto non so come fare non trovando istruzioni sul web

secondo me aggiornare a current non e' la via migliore per risolvere (come poi sembra che tu abbia concluso da solo): current non e' una rolling release utilizzabile da utenti inesperti come puo' essere archlinux (che comunque non e' che pure sia tutta rose e fiori), e' la versione di sviluppo di Slackware e presuppone che l'utente sappia fare il debug e sappia districarsi anche nella ricompilazione degli stessi pacchetti della distribuzione.
se non sei un utente esperto e quindi non hai la possibilita' di aggiustare qualunque cosa in autonomia non dovresti proprio utilizzare current su sistemi dove le cose devono necessariamente funzionare sempre.
(come mai in Ubuntu è già presente e su slack no?)

perche' Ubuntu e' una distribuzione mantenuta da moltissime persone, mentre Slackware e' mantenuta da una persona solamente, quindi il parco software fornito e' necessariamente ridotto e non puo' includere le applicazioni preferite di tutti ma solo quelle che il maintainer, Patrick Volkerding, ritiene che siano piu' opportune.
per altre applicazioni di terze parti devi necessariamente rifarti a repository esterni (evitando di mescolare pacchetti provenienti da repository diversi... non usare pkgs.org!) o farteli da solo utilizzando gli SlackBuild di SlackBuilds.org.